aboutsummaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
Diffstat (limited to 'bin')
-rwxr-xr-xbin/brew4
1 files changed, 3 insertions, 1 deletions
diff --git a/bin/brew b/bin/brew
index de7af280a..c1d8e50e6 100755
--- a/bin/brew
+++ b/bin/brew
@@ -34,7 +34,9 @@ end
if Hardware.cpu_type == :ppc or Hardware.cpu_type == :dunno
abort "Sorry, Homebrew does not support your computer's CPU architecture."
end
-
+unless system "which gcc-4.2 &> /dev/null" and $?.success?
+ abort "Sorry, Homebrew requires gcc 4.2, which is provided by Xcode 3.1"
+end
begin
case ARGV.shift